pydo.firewalls.assign_droplets()
Generated on 8 May 2026
from pydo version
v0.34.0
Usage
client.firewalls.assign_droplets(
firewall_id="bb4b2611-3d72-467b-8602-280330ecd65c",
body={
"droplet_ids": [...],
},
)Description
To assign a Droplet to a firewall, send a POST request to
/v2/firewalls/{firewall_id}/droplets. In the body of the request, there
should be a droplet_ids attribute containing a list of Droplet IDs.
No response body will be sent back, but the response code will indicate success. Specifically, the response code will be a 204, which means that the action was successful with no returned body data.
Parameters
firewall_idstring requiredA unique ID that can be used to identify and reference a firewall.
droplet_idsarray of integers requiredExample:
[49696269]An array containing the IDs of the Droplets to be assigned to the firewall.
Request Sample
More Information
See /v2/firewalls/{firewall_id}/droplets in the API reference for additional detail on responses, headers, parameters, and more.